/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumChestCardiacSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_MyocardialWallSegments;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_MyocardialWallSegments;


/**
 * This class represents MyocardialWallSegments - CID3717
 */
public class MyocardialWallSegments_CID3717 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;
	/**
	 * The SNOMED CT ID for template.
	 */
	private String strSNOMEDCTID = null;
	/**
	 * Instantiates a new MyocardialWallSegments_CID3717 Template 
	 */
	public MyocardialWallSegments_CID3717()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}
	/**
	 * Retrieves the value for SNOMED-CT ID.
	 * @return String value for SNOMED-CT ID.
	 */
	public String getSNOMEDCTID() 
	{
		return strSNOMEDCTID;
	}
	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumMyocardialWallSegments Object of EnumCM_MyocardialWallSegments represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_MyocardialWallSegments enumMyocardialWallSegments)
	{
		switch(enumMyocardialWallSegments)
		{
		case LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT_T_32619.getValue(); break;
		case LEFT_VENTRICLE_BASAL_ANTEROSEPTAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_BASAL_ANTEROSEPTAL_SEGMENT_R_10075.getValue(); break;
		case LEFT_VENTRICLE_BASAL_INFEROSEPTAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_BASAL_INFEROSEPTAL_SEGMENT_R_10076.getValue(); break;
		case LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT_T_32615.getValue(); break;
		case LEFT_VENTRICLE_BASAL_INFEROLATERAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_BASAL_INFEROLATERAL_SEGMENT_R_10079.getValue(); break;
		case LEFT_VENTRICLE_BASAL_ANTEROLATERAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_BASAL_ANTEROLATERAL_SEGMENT_R_1007A.getValue(); break;
		case LEFT_VENTRICLE_MID_ANTERIOR_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_MID_ANTERIOR_SEGMENT_T_32617.getValue(); break;
		case LEFT_VENTRICLE_MID_ANTEROSEPTAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_MID_ANTEROSEPTAL_SEGMENT_R_10077.getValue(); break;
		case LEFT_VENTRICLE_MID_INFEROSEPTAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_MID_INFEROSEPTAL_SEGMENT_R_10078.getValue(); break;
		case LEFT_VENTRICLE_MID_INFERIOR_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_MID_INFERIOR_SEGMENT_T_32616.getValue(); break;
		case LEFT_VENTRICLE_MID_INFEROLATERAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_MID_INFEROLATERAL_SEGMENT_R_1007B.getValue(); break;
		case LEFT_VENTRICLE_MID_ANTEROLATERAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_MID_ANTEROLATERAL_SEGMENT_R_1007C.getValue(); break;
		case LEFT_VENTRICLE_APICAL_ANTERIOR_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_APICAL_ANTERIOR_SEGMENT_T_32613.getValue(); break;
		case LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT_T_32614.getValue(); break;
		case LEFT_VENTRICLE_APICAL_INFERIOR_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_APICAL_INFERIOR_SEGMENT_T_32618.getValue(); break;
		case LEFT_VENTRICLE_APICAL_LATERAL_SEGMENT: this.strCodeValue =EnumCV_MyocardialWallSegments.LEFT_VENTRICLE_APICAL_LATERAL_SEGMENT_T_3261C.getValue(); break;
		case APEX_OF_LEFT_VENTRICLE: this.strCodeValue =EnumCV_MyocardialWallSegments.APEX_OF_LEFT_VENTRICLE_T_32602.getValue(); break;
		}
	}
	/**
	 * Sets the SNOMED-CT ID.
	 * @param enumMyocardialWallSegments Object of EnumCM_MyocardialWallSegments represents Code Meaning.
	 */
	private void setSNOMEDCTID(EnumCM_MyocardialWallSegments enumMyocardialWallSegments)
	{
		switch(enumMyocardialWallSegments)
		{
		case LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_BASAL_ANTEROSEPTAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_BASAL_ANTEROSEPTAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_BASAL_INFEROSEPTAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_BASAL_INFEROSEPTAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_BASAL_INFEROLATERAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_BASAL_INFEROLATERAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_BASAL_ANTEROLATERAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_BASAL_ANTEROLATERAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_MID_ANTERIOR_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_MID_ANTERIOR_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_MID_ANTEROSEPTAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_MID_ANTEROSEPTAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_MID_INFEROSEPTAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_MID_INFEROSEPTAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_MID_INFERIOR_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_MID_INFERIOR_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_MID_INFEROLATERAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_MID_INFEROLATERAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_MID_ANTEROLATERAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_MID_ANTEROLATERAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_APICAL_ANTERIOR_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_APICAL_ANTERIOR_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_APICAL_INFERIOR_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_APICAL_INFERIOR_SEGMENT.getSNOMEDCTID(); break;
		case LEFT_VENTRICLE_APICAL_LATERAL_SEGMENT : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_APICAL_LATERAL_SEGMENT.getSNOMEDCTID(); break;
		case APEX_OF_LEFT_VENTRICLE : this.strSNOMEDCTID =EnumChestCardiacSNOMEDMap.APEX_OF_LEFT_VENTRICLE.getSNOMEDCTID(); break;
		}
	}
	/**
	 * Sets the value for MyocardialWallSegments
	 * @param enumMyocardialWallSegments Object of EnumCM_MyocardialWallSegments.
	 */
	public void setMyocardialWallSegments(EnumCM_MyocardialWallSegments enumMyocardialWallSegments)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumMyocardialWallSegments.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.SRT.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumMyocardialWallSegments);
		/**
		 * set SNOMED-CT ID
		 */
		setSNOMEDCTID(enumMyocardialWallSegments);
	}
}
